%define		libfm	1.0.1
Summary:	File manager for GTK
Summary(pl.UTF-8):	Zarządca plików dla GTK
Name:		pcmanfm
Version:	1.1.0
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.gz
# Source0-md5:	af0cff78690e658f3c06ceabf27bc71a
Patch0:		mate-desktop.patch
URL:		http://pcmanfm.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.31
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel >= 2:2.8
BuildRequires:	intltool
BuildRequires:	libfm-devel >= %{libfm}
BuildRequires:	libtool
BuildRequires:	menu-cache-devel >= 0.3.2
BuildRequires:	pango-devel >= 1.20.0
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires:	libfm >= %{libfm}
Suggests:	gnome-icon-theme
Suggests:	lxde-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pcmanfm is a fast and lightweight file manager which features tabbed
browsing and user-friendly interface.

%description -l pl.UTF-8
pcmanfm jest szybkim i lekkim zarządcą plików z przyjaznym interfejsem
użytkownika, umożliwiającym przeglądanie katalogów w zakładkach.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '
	s/AM_PROG_CC_STDC/AC_PROG_CC/
' configure.ac

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gtk=2
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# see lxde-common
install -d $RPM_BUILD_ROOT/etc/xdg/pcmanfm/LXDE

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/tt_RU

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%dir /etc/xdg/pcmanfm
%dir /etc/xdg/pcmanfm/default
%dir /etc/xdg/pcmanfm/LXDE
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/pcmanfm/default/pcmanfm.conf
%attr(755,root,root) %{_bindir}/pcmanfm
%{_mandir}/man1/pcmanfm.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ui
%{_desktopdir}/pcmanfm.desktop
%{_desktopdir}/pcmanfm-desktop-pref.desktop
%changelog
* Sun Jul 21 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/pcmanfm.git;a=log;h=master

* Sat Mar 30 2013 Elan Ruusamäe <glen@delfi.ee> 8926551
- hide desktop preferences also in MATE

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> 55f0988
- cleanup BR

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> 1e78ddc
- outdated from 5ccd440

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> 5ccd440
- up to 1.1.0

* Mon Jun 11 2012 witekfl <witekfl@pld-linux.org> d51d0b5
- AFAIK hal-devel is neither required nor used by pcmanfm
- rel 2

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> 61b1448
- up to 0.9.10

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 92637dd
- works fine with lxde icon theme only

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 775bc6e
- fix locales, package config dirs and file; rel 2

* Sun Aug 14 2011 Elan Ruusamäe <glen@pld-linux.org> 332f94d
- up to 0.9.9

* Tue Apr 26 2011 Elan Ruusamäe <glen@pld-linux.org> 23c0410
- use libfm git snapshot to resolve several issues; rel 2

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> 8541250
- drop -Werror and -Wall flags

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> 56c8c30
- up to 0.9.8
- BR: menu-cache-devel >= 0.3.2
- minimal version of libfm-devel is 0.1.14

* Sat Jul 31 2010 witekfl <witekfl@pld-linux.org> 0a7e6ae
- up to 0.9.7
- I can't see icons, don't know why

* Fri Jul 30 2010 Elan Ruusamäe <glen@pld-linux.org> 46b0293
- BR: gettext-devel
- adapter

* Sat Oct 25 2008 Marcin Banasiak <marcin.banasiak@gmail.com> e5b4938
- fixed locales (no -> nb)
- revised deps
- release 2

* Wed Aug 27 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 767db7a
- up to 0.5 (stable)

* Fri May 09 2008 Jakub Bogusz <qboosh@pld-linux.org> f0b995c
- missing dir

* Fri May 09 2008 Elan Ruusamäe <glen@pld-linux.org> 5385c7d
- up to 0.4.0 version by Krzysztof Lewczuk <tomipnh@gmail.com>

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> 6ff2309
- pt_PT -> pt; rel 2

* Wed Apr 02 2008 Michał Łukaszek <mlukaszek+pld@gmail.com> 42143a2
- added BR: libselinux-devel

